#!/bin/sh
TVNAME="VDR Server"

. /etc/sysconfig
export PATH="/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin"
export LANG=$LC_ALL
export VDR_CHARSET_OVERRIDE=$VDR_CHARSET_OVERRIDE
PLUGINS="-Pxvdr -Pvnsiserver -Pstreamdev-server -Pwirbelscan"
if [ $DVBAPI = "yes" ]; then
   oscam -c /usr/local/etc -b
fi
mkdir -p /var/run/vdradmin
vdradmind 

start_vdr ()
{
        if [ $DVBAPI = "yes" ]; then
          /usr/local/bin/vdr -l 3 -d -v /video -g /tmp -E /etc/vdr/epg.data -c /etc/vdr -L /usr/local/lib/vdr -P"dvbapi" $PLUGINS
        else
          /usr/local/bin/vdr -l 3 -d -v /video -g /tmp -E /etc/vdr/epg.data -c /etc/vdr -L /usr/local/lib/vdr $PLUGINS
        fi

while [ 1 ]
do
    pidof vdr 2 > /dev/null 
    if [ $? -eq 0 ] ; then
          echo "" >> /dev/null
    else
        if [ $DVBAPI = "yes" ]; then
	  /usr/local/bin/vdr -l 3 -d -v /video -g /tmp -E /etc/vdr/epg.data -c /etc/vdr -L /usr/local/lib/vdr -P"dvbapi" $PLUGINS 
	else
	  /usr/local/bin/vdr -l 3 -d -v /video -g /tmp -E /etc/vdr/epg.data -c /etc/vdr -L /usr/local/lib/vdr $PLUGINS 
	fi
    fi
sleep 2
done
}
stop_vdr ()
{
killall -9  vdr 
echo "SCRIPT : $TVNAME got stopped"
killall -9  runvdr.sh vdradmind oscam
echo "SCRIPT : vdr script stopped"
}
case "$1" in
start)
echo "[SCRIPT] $1: $TVNAME"
start_vdr &
;;
stop)
echo "[SCRIPT] $1: $TVNAME"
stop_vdr
;;
restart)
echo "Restaring $TVNAME"
stop_vdr
sleep 1
start_vdr &
;;
*)
"$0" stop
exit 1
;;
esac
exit 0

